XnPrdNodeInfoList.h File Reference
`#include <XnTypes.h>`

Go to the source code of this file.

## Functions

XN_C_API XnStatus XN_C_DECL | xnNodeInfoListAllocate (XnNodeInfoList **ppList)
XN_C_API void XN_C_DECL | xnNodeInfoListFree (XnNodeInfoList *pList)
XN_C_API XnStatus XN_C_DECL | xnNodeInfoListAdd (XnNodeInfoList *pList, const XnProductionNodeDescription *pDescription, const XnChar *strCreationInfo, XnNodeInfoList *pNeededNodes)
XN_C_API XnStatus XN_C_DECL | xnNodeInfoListAddEx (XnNodeInfoList *pList, const XnProductionNodeDescription *pDescription, const XnChar *strCreationInfo, XnNodeInfoList *pNeededNodes, const void *pAdditionalData, XnFreeHandler pFreeHandler)
XN_C_API XnStatus XN_C_DECL | xnNodeInfoListAddNode (XnNodeInfoList *pList, XnNodeInfo *pNode)
XN_C_API XnStatus XN_C_DECL | xnNodeInfoListAddNodeFromList (XnNodeInfoList *pList, XnNodeInfoListIterator otherListIt)
XN_C_API XnStatus XN_C_DECL | xnNodeInfoListRemove (XnNodeInfoList *pList, XnNodeInfoListIterator it)
XN_C_API XnStatus XN_C_DECL | xnNodeInfoListClear (XnNodeInfoList *pList)
XN_C_API XnStatus XN_C_DECL | xnNodeInfoListAppend (XnNodeInfoList *pList, XnNodeInfoList *pOther)
XN_C_API XnBool XN_C_DECL | xnNodeInfoListIsEmpty (XnNodeInfoList *pList)
XN_C_API XnNodeInfoListIterator XN_C_DECL | xnNodeInfoListGetFirst (XnNodeInfoList *pList)
XN_C_API XnNodeInfoListIterator XN_C_DECL | xnNodeInfoListGetLast (XnNodeInfoList *pList)
XN_C_API XnBool XN_C_DECL | xnNodeInfoListIteratorIsValid (XnNodeInfoListIterator it)
XN_C_API XnNodeInfo *XN_C_DECL | xnNodeInfoListGetCurrent (XnNodeInfoListIterator it)
XN_C_API XnNodeInfoListIterator XN_C_DECL | xnNodeInfoListGetNext (XnNodeInfoListIterator it)
XN_C_API XnNodeInfoListIterator XN_C_DECL | xnNodeInfoListGetPrevious (XnNodeInfoListIterator it)